complexType "ccapp:CallTraceParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/app
Content: | complex, 4 attributes, 1 element
Defined: | globally in ccapp.xsd, see XML source
Includes: | definitions of 4 attributes and 1 element
Used: | at 1 location

XML Representation Summary
<...
| numDigits | = | xsd:int : "3"
| outputFileName | = | xsd:string : "callTrace.log"
| sheetName | = | xsd:string : "callTrace"
| tableName | = | xsd:string : "callTrace"
| >
Content: | database?
</...>

Content Elements (1):

  database (type ssj:DBConnectionParams) |

All Direct / Indirect Based Elements (1):

  callTrace (type ccapp:CallTraceParams) |

Known Usage Locations

- As direct type of elements (1):

  callTrace (type ccapp:CallTraceParams) |

Annotation
Determines the parameters for the call-by-call trace. The simulator provides an option for tracing each simulated call to a text file, an Excel spreadsheet, or to a table in a database. For each call, the following information is logged:

- the index of the real batch or replication the call arrived in (for calls arrived during the warmup, -1 is output),
- the call type identifier,
- the index of the period of its arrival,
- the arrival time of the call,
- its time spent in queue, or NaN for blocked or failed calls,
- the outcome of the call (blocked, abandoned, served, or failed),
- the group index of the agent having served the call, or -1 for blocked, abandoned, and failed calls,
- its service time, or NaN if the call could not be served.

The output file name for the trace is given using the attribute `outputFileName` which defaults to `callTrace.log.` The format of the trace is determine by the file's extension. Note that trace files can be huge, and take time to read with most text editor, including Microsoft Excel.

By default, when sending the trace to Excel spreadsheet, a sheet named `callTrace` is created, and filled with the data. If more than 65535 calls are processed, a second sheet named `callTrace1` is created, because Microsoft Excel limits the number of rows in a sheet. The base name of the sheet might be changed using the `sheetName` attribute.

Element `database` is used to send the trace data to a database. This requires information about the connection to the database, established using JDBC. The trace is sent to the table with name given by the `tableName` attribute, which defaults to `callTrace.`

XML Source (w/o annotations (6); see schema source)

<xsd:complexType name="CallTraceParams"> <xsd:sequence> <xsd:element maxOccurs="1" minOccurs="0" name="database" type="ssj:DBConnectionParams"> </xsd:element> </xsd:sequence> <xsd:attribute default="3" name="numDigits" type="ssj:positiveInt"> </xsd:attribute> <xsd:attribute default="callTrace.log" name="outputFileName" type="xsd:string"> </xsd:attribute> <xsd:attribute default="callTrace" name="sheetName" type="xsd:string"> </xsd:attribute> <xsd:attribute default="callTrace" name="tableName" type="xsd:string"> </xsd:attribute> </xsd:complexType>

Attribute Detail
numDigits

  Determines the number of decimal digits of precision for arrival times, waiting times, and service times, in call-by-call trace files. This attribute is ignored if call-by-call trace is not directed to a plain text file.

  Type: | ssj:positiveInt
  Use: | optional
  Default: | "3"
  Defined: | locally, within (this) ccapp:CallTraceParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="3" name="numDigits" type="ssj:positiveInt"> </xsd:attribute>

outputFileName

  Specifies the name of the file that will contain the call-by-call trace. If the given file name ends with `.xls,` the trace file is output into an Excel spreadsheet. Otherwise, it is stored into a text file. The trace is output in a file named `callTrace.log` in the current directory, if this option is not specified.

  Type: | xsd:string
  Use: | optional
  Default: | "callTrace.log"
  Defined: | locally, within (this) ccapp:CallTraceParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="callTrace.log" name="outputFileName" type="xsd:string"> </xsd:attribute>

sheetName

  Determines the default base name of the sheet containing the trace, when the call trace is sent to an Excel workbook. If the trace is not sent to Excel, this attribute is ignored.

  Type: | xsd:string
  Use: | optional
  Default: | "callTrace"
  Defined: | locally, within (this) ccapp:CallTraceParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="callTrace" name="sheetName" type="xsd:string"> </xsd:attribute>

tableName

  Determines the name of the table, in the database, that will receive the trace of all simulated calls if call tracing is directed to a database.

  Note that every record in the given table is deleted at the beginning of a simulation. The trace facility assumes that the table was created using a SQL query similar to `CREATE TABLE callTrace (step INTEGER, type INTEGER, period INTEGER, arvTime DOUBLE primary key, queueTime DOUBLE, outcome VARCHAR(10), agentGroup INTEGER, srvTime DOUBLE).` Note that one may need to adapt this query to its specific database management system.

  Type: | xsd:string
  Use: | optional
  Default: | "callTrace"
  Defined: | locally, within (this) ccapp:CallTraceParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="callTrace" name="tableName" type="xsd:string"> </xsd:attribute>

Content Element Detail
database

  Determines the parameters of the database for the call-by-call trace. When this element is present, it has precedence over the `outputFileName` attribute, and the trace is stored into a table of a database with name given by the `tableName` attribute.

  Type: | ssj:DBConnectionParams, complex content
  Defined: | locally, within (this) ccapp:CallTraceParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="database" type="ssj:DBConnectionParams"> </xsd:element>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com